EXP2(3)

NAME
exp2, exp2f, exp2l - base-2 exponential function

SYNOPSIS
#include <math.h>

double exp2(double x);
float exp2f(float x);
long double exp2l(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

exp2(), exp2f(), exp2l(): _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
The exp2() function returns the value of 2 raised to the power of x.

RETURN VALUE
On success, these functions return the base-2 exponential value of x. For various special cases, including the handling of infinity and NaN, as well as overflows and underflows, see exp(3).

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions. For a discussion of the errors that can occur for these functions, see exp(3).

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
cbrt(3), cexp2(3), exp(3), exp10(3), sqrt(3)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.